
void setup() {
  UCSR0C = B00100100;
  Serial.begin(1200);
  Serial.write((byte)12);
  clearScreen();
  setMode(0);
}
void loop() {
  graph();
  Serial.write(" ");
}
void graph() {
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(67.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(43.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(41.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(79.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(44.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(45.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(36.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(64.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(52.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(79.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(90.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(51.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(53.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(38.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(69.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(51.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(83.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(51.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(55.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(52.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(53.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(55.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(55.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(52.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(89.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(51.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(57.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(51.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(53.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(46.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(91.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(75.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(33.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(91.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(44.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(72.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(41.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(46.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(49.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(43.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(47.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(57.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(66.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(47.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(64.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(41.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(38.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(85.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(57.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(69.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(42.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(71.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(51.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(47.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(53.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(53.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(93.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(51.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(37.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(49.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(87.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(93.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(88.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(44.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(85.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(81.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(72.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(57.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(51.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(71.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(42.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(77.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(61.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(74.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(79.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(43.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(46.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(47.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(47.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(43.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(47.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(37.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(85.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(63.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(68.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(93.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(47.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(37.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(49.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(53.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(47.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(69.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(79.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(37.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(51.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(61.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(41.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(43.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(3.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(3.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(35.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(35.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(43.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(61.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(51.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(68.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(86.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(55.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(80.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(86.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(46.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(42.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(72.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(85.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(43.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(61.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(47.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(43.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(43.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(2.0);
  setTextColor(5.0);
  Serial.write(35.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(39.0);
  setBackgroundColor(1.0);
  setTextColor(3.0);
  Serial.write(47.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(39.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(47.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(62.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(92.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(92.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(92.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(47.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(34.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(77.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(75.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(63.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(51.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(49.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(57.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(93.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(53.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(76.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(43.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(60.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(62.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(37.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(94.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(42.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(33.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(47.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(47.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(33.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(39.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(39.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(63.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(79.0);
  setBackgroundColor(1.0);
  setTextColor(3.0);
  Serial.write(90.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(80.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(66.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(35.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(90.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(48.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(84.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(92.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(45.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(42.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(43.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(75.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(43.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(87.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(63.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(81.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(55.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(50.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(88.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(82.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(79.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(38.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(46.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(62.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(59.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(45.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(33.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(33.0);
  setBackgroundColor(2.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(39.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(39.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(47.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(39.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(39.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(60.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(78.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(90.0);
  setBackgroundColor(3.0);
  setTextColor(3.0);
  Serial.write(74.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(74.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(75.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(42.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(43.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(80.0);
  setBackgroundColor(3.0);
  setTextColor(6.0);
  Serial.write(84.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(92.0);
  setBackgroundColor(3.0);
  setTextColor(3.0);
  Serial.write(47.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(39.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(63.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(75.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(51.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(37.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(77.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(45.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(43.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(37.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(79.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(54.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(50.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(47.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(53.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(55.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(37.0);
  setBackgroundColor(2.0);
  setTextColor(5.0);
  Serial.write(53.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(55.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(43.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(39.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(39.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(39.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(63.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(54.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(67.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(75.0);
  setBackgroundColor(3.0);
  setTextColor(3.0);
  Serial.write(42.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(74.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(72.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(33.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(35.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(35.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(42.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(82.0);
  setBackgroundColor(3.0);
  setTextColor(6.0);
  Serial.write(52.0);
  setBackgroundColor(3.0);
  setTextColor(3.0);
  Serial.write(89.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(90.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(37.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(34.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(79.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(41.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(49.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(38.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(42.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(87.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(73.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(38.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(85.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(43.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(37.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(53.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(37.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(53.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(55.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(75.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(63.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(39.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(55.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(92.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(90.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(92.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(90.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(90.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(88.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(92.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(85.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(53.0);
  setBackgroundColor(2.0);
  setTextColor(2.0);
  Serial.write(47.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(90.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(74.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(84.0);
  setBackgroundColor(3.0);
  setTextColor(6.0);
  Serial.write(48.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(79.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(63.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(42.0);
  setBackgroundColor(3.0);
  setTextColor(3.0);
  Serial.write(53.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(75.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(42.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(58.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(41.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(51.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(52.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(60.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(67.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(84.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(49.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(47.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(33.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(51.0);
  setBackgroundColor(2.0);
  setTextColor(5.0);
  Serial.write(53.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(85.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(72.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(51.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(52.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(92.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(92.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(75.0);
  setBackgroundColor(1.0);
  setTextColor(4.0);
  Serial.write(42.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(90.0);
  setBackgroundColor(5.0);
  setTextColor(7.0);
  Serial.write(80.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(80.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(80.0);
  setBackgroundColor(5.0);
  setTextColor(7.0);
  Serial.write(84.0);
  setBackgroundColor(2.0);
  setTextColor(6.0);
  Serial.write(84.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(92.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(94.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(72.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(74.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(48.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(53.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(53.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(39.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(74.0);
  setBackgroundColor(3.0);
  setTextColor(3.0);
  Serial.write(46.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(33.0);
  setBackgroundColor(2.0);
  setTextColor(5.0);
  Serial.write(43.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(42.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(71.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(67.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(63.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(60.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(60.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(87.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(53.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(88.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(48.0);
  setBackgroundColor(1.0);
  setTextColor(5.0);
  Serial.write(84.0);
  setBackgroundColor(1.0);
  setTextColor(5.0);
  Serial.write(92.0);
  setBackgroundColor(1.0);
  setTextColor(5.0);
  Serial.write(92.0);
  setBackgroundColor(1.0);
  setTextColor(5.0);
  Serial.write(80.0);
  setBackgroundColor(2.0);
  setTextColor(5.0);
  Serial.write(80.0);
  setBackgroundColor(2.0);
  setTextColor(5.0);
  Serial.write(52.0);
  setBackgroundColor(1.0);
  setTextColor(3.0);
  Serial.write(92.0);
  setBackgroundColor(2.0);
  setTextColor(5.0);
  Serial.write(72.0);
  setBackgroundColor(5.0);
  setTextColor(7.0);
  Serial.write(74.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(82.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(80.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(80.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(84.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(80.0);
  setBackgroundColor(5.0);
  setTextColor(7.0);
  Serial.write(80.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(80.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(80.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(72.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(39.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(53.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(53.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(42.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(75.0);
  setBackgroundColor(3.0);
  setTextColor(3.0);
  Serial.write(35.0);
  setBackgroundColor(1.0);
  setTextColor(3.0);
  Serial.write(53.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(47.0);
  setBackgroundColor(1.0);
  setTextColor(4.0);
  Serial.write(42.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(43.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(42.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(33.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(93.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(49.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(63.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(33.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(53.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(67.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(72.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(64.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(64.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(80.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(52.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(88.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(72.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(43.0);
  setBackgroundColor(5.0);
  setTextColor(7.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(35.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(35.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(35.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(35.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(53.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(85.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(67.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(33.0);
  setBackgroundColor(3.0);
  setTextColor(6.0);
  Serial.write(47.0);
  setBackgroundColor(1.0);
  setTextColor(3.0);
  Serial.write(55.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(74.0);
  setBackgroundColor(2.0);
  setTextColor(2.0);
  Serial.write(76.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(74.0);
  setBackgroundColor(1.0);
  setTextColor(3.0);
  Serial.write(53.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(75.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(75.0);
  setBackgroundColor(1.0);
  setTextColor(4.0);
  Serial.write(43.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(43.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(42.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(62.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(68.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(75.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(61.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(35.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(50.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(43.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(43.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(75.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(54.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(80.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(92.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(90.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(51.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(47.0);
  setBackgroundColor(5.0);
  setTextColor(7.0);
  Serial.write(43.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(39.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(39.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(39.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(35.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(47.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(53.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(85.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(53.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(74.0);
  setBackgroundColor(2.0);
  setTextColor(2.0);
  Serial.write(35.0);
  setBackgroundColor(3.0);
  setTextColor(3.0);
  Serial.write(90.0);
  setBackgroundColor(0.0);
  setTextColor(2.0);
  Serial.write(53.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(39.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(47.0);
  setBackgroundColor(0.0);
  setTextColor(2.0);
  Serial.write(47.0);
  setBackgroundColor(1.0);
  setTextColor(4.0);
  Serial.write(43.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(43.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(42.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(91.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(74.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(59.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(43.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(35.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(79.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(42.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(34.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(35.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(43.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(43.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(48.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(33.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(74.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(83.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(51.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(46.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(44.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(76.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(92.0);
  setBackgroundColor(5.0);
  setTextColor(7.0);
  Serial.write(53.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(52.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(84.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(92.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(72.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(73.0);
  setBackgroundColor(0.0);
  setTextColor(2.0);
  Serial.write(55.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(53.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(47.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(79.0);
  setBackgroundColor(0.0);
  setTextColor(2.0);
  Serial.write(79.0);
  setBackgroundColor(1.0);
  setTextColor(3.0);
  Serial.write(43.0);
  setBackgroundColor(2.0);
  setTextColor(5.0);
  Serial.write(42.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(43.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(34.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(42.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(71.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(43.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(88.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(88.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(45.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(35.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(94.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(53.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(53.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(79.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(42.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(38.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(74.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(82.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(80.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(37.0);
  setBackgroundColor(5.0);
  setTextColor(7.0);
  Serial.write(60.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(89.0);
  setBackgroundColor(2.0);
  setTextColor(6.0);
  Serial.write(84.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(92.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(88.0);
  setBackgroundColor(1.0);
  setTextColor(3.0);
  Serial.write(39.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(53.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(85.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(57.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(79.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(75.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(43.0);
  setBackgroundColor(1.0);
  setTextColor(3.0);
  Serial.write(75.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(43.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(42.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(74.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(46.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(76.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(43.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(43.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(48.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(92.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(80.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(79.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(37.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(37.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(55.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(74.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(74.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(90.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(90.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(80.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(64.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(66.0);
  setBackgroundColor(7.0);
  setTextColor(8.0);
  Serial.write(48.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(52.0);
  setBackgroundColor(4.0);
  setTextColor(7.0);
  Serial.write(52.0);
  setBackgroundColor(5.0);
  setTextColor(7.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(7.0);
  Serial.write(85.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(52.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(85.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(53.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(53.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(93.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(51.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(39.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(75.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(74.0);
  setBackgroundColor(1.0);
  setTextColor(3.0);
  Serial.write(74.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(42.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(55.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(35.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(63.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(81.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(43.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(85.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(35.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(63.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(53.0);
  setBackgroundColor(2.0);
  setTextColor(2.0);
  Serial.write(62.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(88.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(72.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(42.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(74.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(74.0);
  setBackgroundColor(7.0);
  setTextColor(8.0);
  Serial.write(34.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(52.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(52.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(79.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(52.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(85.0);
  setBackgroundColor(1.0);
  setTextColor(4.0);
  Serial.write(53.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(85.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(53.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(92.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(92.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(44.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(92.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(74.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(76.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(73.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(43.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(43.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(43.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(43.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(42.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(51.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(94.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(93.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(45.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(42.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(59.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(53.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(74.0);
  setBackgroundColor(3.0);
  setTextColor(3.0);
  Serial.write(74.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(74.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(74.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(74.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(74.0);
  setBackgroundColor(7.0);
  setTextColor(8.0);
  Serial.write(42.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(52.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(53.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(85.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(88.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(48.0);
  setBackgroundColor(2.0);
  setTextColor(6.0);
  Serial.write(52.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(85.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(85.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(85.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(60.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(92.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(90.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(74.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(74.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(82.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(90.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(84.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(93.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(74.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(35.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(67.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(46.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(88.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(53.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(50.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(81.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(53.0);
  setBackgroundColor(2.0);
  setTextColor(2.0);
  Serial.write(63.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(74.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(74.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(74.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(75.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(74.0);
  setBackgroundColor(6.0);
  setTextColor(6.0);
  Serial.write(74.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(74.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(74.0);
  setBackgroundColor(7.0);
  setTextColor(8.0);
  Serial.write(48.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(53.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(53.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(74.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(90.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(48.0);
  setBackgroundColor(1.0);
  setTextColor(5.0);
  Serial.write(85.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(85.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(84.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(80.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(88.0);
  setBackgroundColor(0.0);
  setTextColor(0.0);
  Serial.write(94.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(92.0);
  setBackgroundColor(1.0);
  setTextColor(4.0);
  Serial.write(88.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(64.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(78.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(34.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(72.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(55.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(51.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(35.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(90.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(80.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(64.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(51.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(55.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(62.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(53.0);
  setBackgroundColor(2.0);
  setTextColor(2.0);
  Serial.write(39.0);
  setBackgroundColor(2.0);
  setTextColor(2.0);
  Serial.write(74.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(74.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(43.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(35.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(75.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(74.0);
  setBackgroundColor(6.0);
  setTextColor(7.0);
  Serial.write(42.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(42.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(34.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(53.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(53.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(75.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(79.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(53.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(53.0);
  setBackgroundColor(1.0);
  setTextColor(4.0);
  Serial.write(85.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(93.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(92.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(92.0);
  setBackgroundColor(0.0);
  setTextColor(3.0);
  Serial.write(92.0);
  setBackgroundColor(1.0);
  setTextColor(5.0);
  Serial.write(88.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(64.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(92.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(90.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(78.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(93.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(37.0);
  setBackgroundColor(0.0);
  setTextColor(4.0);
  Serial.write(37.0);
  setBackgroundColor(0.0);
  setTextColor(4.0);
  Serial.write(47.0);
  setBackgroundColor(0.0);
  setTextColor(4.0);
  Serial.write(43.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(34.0);
  setBackgroundColor(0.0);
  setTextColor(5.0);
  Serial.write(37.0);
  setBackgroundColor(0.0);
  setTextColor(5.0);
  Serial.write(43.0);
  setBackgroundColor(1.0);
  setTextColor(5.0);
  Serial.write(37.0);
  setBackgroundColor(0.0);
  setTextColor(4.0);
  Serial.write(47.0);
  setBackgroundColor(0.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(40.0);
  setBackgroundColor(0.0);
  setTextColor(4.0);
  Serial.write(47.0);
  setBackgroundColor(0.0);
  setTextColor(2.0);
  Serial.write(42.0);
  setBackgroundColor(0.0);
  setTextColor(2.0);
  Serial.write(33.0);
  setBackgroundColor(0.0);
  setTextColor(3.0);
  Serial.write(47.0);
  setBackgroundColor(0.0);
  setTextColor(3.0);
  Serial.write(47.0);
  setBackgroundColor(1.0);
  setTextColor(4.0);
  Serial.write(34.0);
  setBackgroundColor(0.0);
  setTextColor(4.0);
  Serial.write(42.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(0.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(0.0);
  setTextColor(6.0);
  Serial.write(45.0);
  setBackgroundColor(0.0);
  setTextColor(7.0);
  Serial.write(47.0);
  setBackgroundColor(0.0);
  setTextColor(7.0);
  Serial.write(42.0);
  setBackgroundColor(0.0);
  setTextColor(7.0);
  Serial.write(39.0);
  setBackgroundColor(0.0);
  setTextColor(6.0);
  Serial.write(45.0);
  setBackgroundColor(3.0);
  setTextColor(7.0);
  Serial.write(47.0);
  setBackgroundColor(0.0);
  setTextColor(7.0);
  Serial.write(42.0);
  setBackgroundColor(5.0);
  setTextColor(7.0);
  Serial.write(39.0);
  setBackgroundColor(0.0);
  setTextColor(6.0);
  Serial.write(43.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(48.0);
  setBackgroundColor(1.0);
  setTextColor(5.0);
  Serial.write(80.0);
  setBackgroundColor(1.0);
  setTextColor(5.0);
  Serial.write(80.0);
  setBackgroundColor(2.0);
  setTextColor(5.0);
  Serial.write(80.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(64.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(72.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(42.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(87.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(73.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(67.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(53.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(47.0);
  setBackgroundColor(0.0);
  setTextColor(4.0);
  Serial.write(53.0);
  setBackgroundColor(1.0);
  setTextColor(4.0);
  Serial.write(74.0);
  setBackgroundColor(0.0);
  setTextColor(4.0);
  Serial.write(53.0);
  setBackgroundColor(0.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(0.0);
  setTextColor(2.0);
  Serial.write(58.0);
  setBackgroundColor(0.0);
  setTextColor(4.0);
  Serial.write(85.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(34.0);
  setBackgroundColor(0.0);
  setTextColor(5.0);
  Serial.write(53.0);
  setBackgroundColor(2.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(0.0);
  setTextColor(5.0);
  Serial.write(37.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(90.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(75.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(53.0);
  setBackgroundColor(1.0);
  setTextColor(3.0);
  Serial.write(74.0);
  setBackgroundColor(0.0);
  setTextColor(3.0);
  Serial.write(47.0);
  setBackgroundColor(0.0);
  setTextColor(3.0);
  Serial.write(42.0);
  setBackgroundColor(0.0);
  setTextColor(2.0);
  Serial.write(74.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(75.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(0.0);
  setTextColor(3.0);
  Serial.write(74.0);
  setBackgroundColor(1.0);
  setTextColor(7.0);
  Serial.write(53.0);
  setBackgroundColor(0.0);
  setTextColor(7.0);
  Serial.write(74.0);
  setBackgroundColor(7.0);
  setTextColor(7.0);
  Serial.write(53.0);
  setBackgroundColor(3.0);
  setTextColor(7.0);
  Serial.write(53.0);
  setBackgroundColor(0.0);
  setTextColor(6.0);
  Serial.write(79.0);
  setBackgroundColor(0.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(0.0);
  setTextColor(3.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(52.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(48.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(48.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(80.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(84.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(51.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(67.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(51.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(67.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(91.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(53.0);
  setBackgroundColor(3.0);
  setTextColor(3.0);
  Serial.write(39.0);
  setBackgroundColor(0.0);
  setTextColor(3.0);
  Serial.write(53.0);
  setBackgroundColor(0.0);
  setTextColor(4.0);
  Serial.write(75.0);
  setBackgroundColor(0.0);
  setTextColor(4.0);
  Serial.write(63.0);
  setBackgroundColor(0.0);
  setTextColor(4.0);
  Serial.write(69.0);
  setBackgroundColor(0.0);
  setTextColor(4.0);
  Serial.write(94.0);
  setBackgroundColor(0.0);
  setTextColor(4.0);
  Serial.write(92.0);
  setBackgroundColor(0.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(0.0);
  setTextColor(4.0);
  Serial.write(53.0);
  setBackgroundColor(2.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(0.0);
  setTextColor(4.0);
  Serial.write(55.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(92.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(93.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(52.0);
  setBackgroundColor(0.0);
  setTextColor(2.0);
  Serial.write(75.0);
  setBackgroundColor(0.0);
  setTextColor(2.0);
  Serial.write(55.0);
  setBackgroundColor(0.0);
  setTextColor(2.0);
  Serial.write(72.0);
  setBackgroundColor(0.0);
  setTextColor(2.0);
  Serial.write(75.0);
  setBackgroundColor(0.0);
  setTextColor(4.0);
  Serial.write(35.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(74.0);
  setBackgroundColor(4.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(0.0);
  setTextColor(3.0);
  Serial.write(74.0);
  setBackgroundColor(2.0);
  setTextColor(6.0);
  Serial.write(48.0);
  setBackgroundColor(0.0);
  setTextColor(6.0);
  Serial.write(79.0);
  setBackgroundColor(0.0);
  setTextColor(7.0);
  Serial.write(35.0);
  setBackgroundColor(2.0);
  setTextColor(7.0);
  Serial.write(63.0);
  setBackgroundColor(0.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(55.0);
  setBackgroundColor(0.0);
  setTextColor(3.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(89.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(71.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(79.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(35.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(47.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(89.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(82.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(83.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(55.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(55.0);
  setBackgroundColor(3.0);
  setTextColor(3.0);
  Serial.write(92.0);
  setBackgroundColor(3.0);
  setTextColor(3.0);
  Serial.write(48.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(80.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(64.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(48.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(64.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(35.0);
  setBackgroundColor(2.0);
  setTextColor(5.0);
  Serial.write(64.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(48.0);
  setBackgroundColor(4.0);
  setTextColor(4.0);
  Serial.write(66.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(48.0);
  setBackgroundColor(1.0);
  setTextColor(1.0);
  Serial.write(53.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(80.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(76.0);
  setBackgroundColor(0.0);
  setTextColor(1.0);
  Serial.write(48.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(64.0);
  setBackgroundColor(2.0);
  setTextColor(2.0);
  Serial.write(47.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(82.0);
  setBackgroundColor(1.0);
  setTextColor(2.0);
  Serial.write(64.0);
  setBackgroundColor(2.0);
  setTextColor(3.0);
  Serial.write(64.0);
  setBackgroundColor(3.0);
  setTextColor(4.0);
  Serial.write(43.0);
  setBackgroundColor(2.0);
  setTextColor(4.0);
  Serial.write(64.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(43.0);
  setBackgroundColor(4.0);
  setTextColor(6.0);
  Serial.write(49.0);
  setBackgroundColor(3.0);
  setTextColor(6.0);
  Serial.write(82.0);
  setBackgroundColor(5.0);
  setTextColor(6.0);
  Serial.write(53.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(64.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(75.0);
  setBackgroundColor(3.0);
  setTextColor(5.0);
  Serial.write(64.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(37.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(35.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(45.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(71.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(33.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(74.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(39.0);
  setBackgroundColor(5.0);
  setTextColor(5.0);
  Serial.write(79.0);
}
void clearScreen() {
  Serial.write((byte)12);
}
void setMode(int m) {
  if (m==0) Serial.write((byte)14);// 0 for graphical mode
  if (m==1) Serial.write((byte)15);// 1 for text mode
}
void setBackgroundColor(int c) {
  Serial.write((byte)27);
  Serial.write((byte)80 + floor((float)c/2)+(c%2)*4);
}
void setTextColor(int c) {
  Serial.write((byte)27);
  Serial.write((byte)64 + floor((float)c/2)+(c%2)*4);
}

